Bug 1464705 - Widevine files from Google Chrome don't work in Fedora's Chromium browser.
Widevine files from Google Chrome don't work in Fedora's Chromium browser.
Status: NEW
Product: Fedora
Classification: Fedora
Component: chromium (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-06-24 17:02 EDT by Ryan Farmer
Modified: 2017-11-27 10:26 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ryan Farmer 2017-06-24 17:02:19 EDT
Description of problem:

Widevine files from Google Chrome don't work in Fedora's Chromium browser.

Specifically, I downloaded Google's Chrome RPM and extracted the two Widevine libs and copied them into /usr/lib64/chromium-browser and started Chromium, and Widevine didn't work. (After trying a few things, I just replaced them with the dummy files that came with Chromium in the first place.)

The Wiki page for Chromium on Fedora seems to have a bit of Wiki rot, as it makes reference to a /usr/lib64/chromium-plugins.

I also looked into chrome://components/ and chrome://flags/ when I had the actual Widevine libs installed and no mention of Widevine anywhere.

Version-Release number of selected component (if applicable):

Chromium 59.0.3071.104-1.fc26

Expected results:

Well, since I have the media libs freeworld package installed, Spotify Web Player, among other things, should work. It doesn't.
Comment 1 jeremy9856 2017-09-07 14:32:50 EDT
I have the same problem :(
Comment 2 Lorenzo Pistone 2017-11-26 10:51:49 EST
Same problem. I can confirm that chromium is loading the right libwidevinecdm.so with lsof, I do have the protected content flag active in chrome://settings. It appears that the patch in the rpm to add the #define WIDEVINE_CDM_VERSION_STRING "something fresh" is no longer sufficient.
Comment 3 Tom "spot" Callaway 2017-11-27 10:26:09 EST
The problem is that I have no idea what other changes are sufficient, whether the WIDEVINE_CDM_VERSION_STRING is being checked for validity (and what a valid value is), or if other more intrusive changes are necessary.

Last time I checked, Google had no interest in trying to support Widevine on Chromium (and when I pointed out to one of their developers that we had it working, they expressed surprise and claimed that it was unlikely to continue to do so, this was a few years ago).

I've looked at what Debian/Gentoo/Arch are doing, and none of them have any magic different from ours in this area. I'm happy to apply a patch here if someone can figure it out, but I don't really have the time to spend on this particular issue.

Note You need to log in before you can comment on or make changes to this bug.